Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163807 - xpdf segfaults while accessing a NULL pointer
Summary: xpdf segfaults while accessing a NULL pointer
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xpdf
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-21 11:00 UTC by Karsten Hopp
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-25 08:14:08 UTC


Attachments (Terms of Use)
PDF file which crashed xpdf (deleted)
2005-07-21 11:02 UTC, Karsten Hopp
no flags Details

Description Karsten Hopp 2005-07-21 11:00:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050720 Fedora/1.1-0.2.2.deerpark.alpha2 Firefox/1.0+

Description of problem:
xpdf segfaults with the attached pdf (page 6 or 7)

(gdb) bt
#0  Splash::makeDashedPath (this=0x86b1218, xPath=0x87db1b0) at Splash.cc:534
#1  0x080ca93c in Splash::stroke (this=0x86b1218, path=0x86b3830)
    at Splash.cc:244
#2  0x0809e59f in SplashOutputDev::stroke (this=0x86b32c8, state=0x87db1b0)
    at SplashOutputDev.cc:767
#3  0x08059f3a in Gfx::opStroke (this=0x879bdd8, args=0xbfae0ab0, numArgs=0)
    at Gfx.cc:1115
#4  0x080582cf in Gfx::go (this=0x879bdd8, topLevel=1) at Gfx.cc:551
#5  0x08058be9 in Gfx::display (this=0x879bdd8, obj=0xbfae0c14, topLevel=14624)
    at Gfx.cc:523
(gdb) print seg
$1 = (struct SplashXPathSeg *) 0x0



Version-Release number of selected component (if applicable):
xpdf-3.00-20

How reproducible:
Always

Steps to Reproduce:
1. open attached pdf
2. press page-down a few times
3.
  

Additional info:

Comment 1 Karsten Hopp 2005-07-21 11:02:45 UTC
Created attachment 117018 [details]
PDF file which crashed xpdf

Comment 2 Sammy 2005-07-22 14:35:50 UTC
Naturally this is also crashing kpdf! but not acrobat reader or ghostscript. Ghostscript versions  
give a bunch of errors like:  
  
   **** Warning: Fonts with Subtype = /TrueType should be embedded.  
                 But Arial is not embedded.  
Substituting font Helvetica for Arial.  
  

Comment 3 Ngo Than 2005-07-25 08:14:08 UTC
it's now fixed in xpdf-3.00-21. kpdf will be fixed in next kdegraphics rebuild too.


Note You need to log in before you can comment on or make changes to this bug.